Package Details: w3af 1.6.54-3

Git Clone URL: https://aur.archlinux.org/w3af.git (read-only)
Package Base: w3af
Description: Web Application Attack and Audit Framework
Upstream URL: http://w3af.org/
Licenses: GPL2
Conflicts: w3af-git
Provides: w3af
Submitter: None
Maintainer: None
Last Packager: demonshreder
Votes: 31
Popularity: 0.009651
First Submitted: 2008-05-24 18:17
Last Updated: 2018-09-03 09:24

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Kr1ss commented on 2018-09-02 17:45

Thx for maintaining this package @demonshreder, appreciate that. Would u mind adding 'icu61' as a dependency, b/c starting w3af-gui throws an exception when /usr/lib/libicui18n.so.61 is not present, which is provided by that package.

$ w3af-gui

Traceback (most recent call last):
  File "/usr/share/w3af/w3af_gui", line 110, in <module>
    _main()
  File "/usr/share/w3af/w3af_gui", line 106, in _main
    sys.exit(main())
  File "/usr/share/w3af/w3af_gui", line 100, in main
    from w3af.core.ui.gui.main import main as gui_main
  File "/usr/share/w3af/w3af/core/ui/gui/main.py", line 54, in <module>
    from w3af.core.ui.gui import scanrun, helpers, profiles, compare
  File "/usr/share/w3af/w3af/core/ui/gui/scanrun.py", line 27, in <module>
    import webkit
  File "/usr/lib/python2.7/site-packages/webkit/__init__.py", line 21, in <module>
    import webkit
ImportError: libicui18n.so.61: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden

EDIT Thanks for the update !

dude commented on 2018-08-28 21:02

Oh ok thanks, didn't realize they had switched to a new numbering scheme. My pywebkitgtk build just failed about 4 hours in, lol. I don't think I'll have time to figure out why, so I'm disowning...feel free to adopt it.

xtrm0 commented on 2018-08-28 06:25

Protip: Replace 1.6.49 with 1.6.54 on the package url https://github.com/andresriancho/w3af/archive/1.6.54.tar.gz

Also they stopped using tags on the releases, but they keep doing releases (both on their website as on github, by bumping that version.txt file). Check this: https://github.com/andresriancho/w3af/commits/master/w3af/core/data/constants/version.txt

PS: I'm packaging w3af-git and there is a ton of new dependencies compared to 1.6.49, so be prepared, or wait a few hours for me to finish packing it and just copy the dependency list and it should work (I'm building pywebviewgtk, and apparently it takes 13h):P

dude commented on 2018-08-28 05:39

To the person who flagged this out of date: the latest release available on GitHub is 1.6.49. Please provide a URL for the latest version and I will update it. Thanks.

dude commented on 2018-02-15 02:39

I added some missing dependencies and updated to the latest version. One of the dependencies I added (webkitgtk2) takes hours to compile, so I was thinking of making all the graphical components optional for those who only use it on command line. I'm not sure how much interest there is in that, let me know...

marsthrax commented on 2017-01-28 21:25

Is there a way around the missing package dependencies?

bastelfreak commented on 2016-11-11 13:47

there are missing deps that aren't available in any repo

ilpianista commented on 2016-07-14 20:16

There's no python2-gitpython package, please use python2-git instead!

anthraxx commented on 2015-12-11 22:45

@GI_Jack: yep inded... the good news is that i'm preparing those packages for the move of w3af into [community] :D

GI_Jack commented on 2015-12-11 22:44

PKGBUILD is broken due to dependency fuckery. I think this got smashed in the move to AUR4.